org.thewonderlemming.c4plantuml.testbed.mojo.linting

## Class NoLogLintingMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.thewonderlemming.c4plantuml.mojo.AbstractParentMojo
    - - org.thewonderlemming.c4plantuml.mojo.linting.LintingMojo
      - - org.thewonderlemming.c4plantuml.testbed.mojo.linting.NoLogLintingMojo

- All Implemented Interfaces:
    org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

      public class NoLogLintingMojo
      extends LintingMojo

  A child implementation of `LintingMojo` that switches the use of `Log` for `TestLog`, to avoid spamming the build logs during testing.
  Author:
    thewonderlemming

- - ### Field Summary

    - ### Fields inherited from class org.thewonderlemming.c4plantuml.mojo.AbstractParentMojo

      `DEFAULT_SOURCE_FILE_EXTENSION`

    - ### Fields inherited from interface org.apache.maven.plugin.Mojo

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoLogLintingMojo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.maven.plugin.logging.Log` | `getLog()` Returns a SLF4J implementation of the `Log` instance.

    - ### Methods inherited from class org.thewonderlemming.c4plantuml.mojo.linting.LintingMojo

      `doExecute`

    - ### Methods inherited from class org.thewonderlemming.c4plantuml.mojo.AbstractParentMojo

      `execute, getCurrentCharset, getOutputDirectory, getProject, getSourceFileExtension, processOutputDirectoryFiles, validateSourceFileExtension`

    - ### Methods inherited from class org.apache.maven.plugin.AbstractMojo

      `getPluginContext, setLog, setPluginContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NoLogLintingMojo

          public NoLogLintingMojo()

  - ### Method Detail

    - #### getLog

          public org.apache.maven.plugin.logging.Log getLog()

      Returns a SLF4J implementation of the `Log` instance.

      Specified by:
        `getLog` in interface `org.apache.maven.plugin.Mojo`
      Overrides:
        `getLog` in class `org.apache.maven.plugin.AbstractMojo`

Copyright © 2020. All rights reserved.